import 'package:flutter/material.dart';
import 'package:hexcolor/hexcolor.dart';

class AppColors {
  // PRIMARY
  static Color primary900 = Colors.black;
  static Color primary700 = Colors.black87;
  static Color primary500 = Colors.black54;
  static Color primary300 = Colors.black38;

  // ACCENT
  static Color accentRed600 = HexColor('#E10600');
  static Color accentRed500 = HexColor('#FF3B30');
  static Color accentPink = HexColor('#FF2D55');
  static Color accentGreen = HexColor('#34C759');

  // STATUS
  static Color statusSuccess = HexColor('#28A745');
  static Color statusWarning = HexColor('#FFC107');
  static Color statusDanger = HexColor('#DC3545');

  // NEUTRAL
  static Color neutral50 = HexColor('#FAFAFA');
  static Color neutral100 = HexColor('#F2F2F2');
  static Color neutral200 = HexColor('#E0E0E0');
  static Color neutral400 = HexColor('#BDBDBD');
  static Color neutral500 = HexColor('#8C8C8C');
  static Color neutral600 = HexColor('#757575');
  static Color neutral700 = Colors.grey.shade700;
  static Color neutral900 = HexColor('#212121');
  static Color neutralBlack = HexColor('#000000');
  static Color neutralWhite = HexColor('#FFFFFF');

  // SUPPORT
  static Color supportSteel600 = HexColor('#2D3E50');
  static Color supportSteel300 = HexColor('#8FA3BF');

  // SHIMMER/LOADING
  static Color shimmerBackgroundColor = HexColor('#292729');
  static Color shimmerBaseColor = HexColor('#292729');
  static Color shimmerHighColor = HexColor('#363436');
}
